package com.huatek.busi.mapper;

import com.huatek.busi.entity.*;
import com.huatek.busi.vo.EquipmentOnlineRateVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ArresterNumberMapper {


    List<ArresterStatus> findArresterStatus();

    List<EquipmentNumber> findArresterNumber(@Param("siteId") String siteId, @Param("mainEquipmentId") String mainEquipmentId, @Param("dTime") String dTime);

    List<EquipmentSumNumber> findSumArresterNumber(@Param("dTime") String dTime);

    int findSumNumber(@Param("siteId") String siteId);

    int findFaultNumber(@Param("dTime") String dTime);

    int faultNumber(@Param("tId") String tId);

    TAndTransformerStatus findTransformerStatus(@Param("findArresterId") String findArresterId);

    ArresterHwChaobiaoLv findHwChaobiao(@Param("siteId") String siteId, @Param("mainEquipmentId") String mainEquipmentId,@Param("rtpTime") String rtpTime);

    List<EquipmentSensor> findEquipmentVoList();

    List<EquipmentSensorNumber> findEquipment();

    List<EquipmentSensorCache> findSensorCache();

    void updateArresterSensor(EquipmentSensorNumber equipmentTemperatureCache);

    void addArresterSensor(EquipmentSensorNumber equipmentTemperatureCache);

    List<EquipmentSensorCache> findArresterSensor(@Param("mainEquipmentId") String mainEquipmentId);

    EquipmentOnlineRateVo findOnlineRateByCode(@Param("extEquipmentCode") String extEquipmentCode);

    int finSumNumber(String siteId);

    EquipmentSumSensorCache findSumSensorNumber();
}
